Subject: Re: [Idr] WGLC on draft-ietf-idr-as-private-reservation-00

From: Stewart Bryant <[email-masked]>
Date: Fri, 04 Jan 2013 11:13:42 +0000

I think that it should be BCP, but there has been a lot of technical
discussion on the IESG of late on exactly what is or is not allowed
to be a BCP.

However let's not get distracted by what goes in the top left corner
let's focus on the content and get the required BGP behaviour.

- Stewart

On 20/12/2012 23:20, Susan Hares wrote:
> Jon:
>
> Please refer to my comment on BCP as I believe it must be a BCP since it
> modifies a BCP.  In a BCP, I believe the MUST uses RFC 2119.
> I believe, the WG chairs can change it to a BCP given it modifies a BCP - as
> an editorial change.
>
> I've asked for Stewart Bryant to give us a read on the BCP issue.  And as
> always, the WG will speak if up someone objects.
>
> Sue
>
> -----Original Message-----
> From: Jon Mitchell [mailto:[email-masked]]
> Sent: Thursday, December 20, 2012 6:02 PM
> To: Susan Hares
> Cc: 'Randy Bush'; 'Nick Hilliard'; [email-masked]; [email-masked]; Pete
> Resnick
> Subject: Re: [Idr] WGLC on draft-ietf-idr-as-private-reservation-00
>
>
> I agree with the understanding (in fact one might say this is implied
> already by this being for Private Use).  A question for you or Randy..
> does this make RFC 2119 a normative or informative reference given this is
> not a standards track document?  If Normative, should I include the
> prescribed "Specification of Requirements" section text as well?
>
> On Thu, Dec 20, 2012 at 05:55:39PM -0500, Susan Hares wrote:
>> Jon:
>>
>> My understanding of your text is that it operationally MUST be done.   I
>> like you, will  leave the "how to" to implementations and operators.   If
>> it's a filters or pure fairy-magic, it is fine by me.  I do not think
>> this MUST modification implies the method.
>>
>> My understanding from my wonderful Routing ADs is something that
>> modifies a BCP (RFC1930) is generally a BCP.  However, we'll let
>> Stewart Bryant (our Routing AD) weigh in on that fact.
>>
>> Sue
>>
>>
>> -----Original Message-----
>> From: Jon Mitchell [mailto:[email-masked]]
>> Sent: Thursday, December 20, 2012 5:38 PM
>> To: Susan Hares
>> Cc: 'Randy Bush'; 'Nick Hilliard'; [email-masked]; [email-masked]
>> Subject: Re: [Idr] WGLC on draft-ietf-idr-as-private-reservation-00
>>
>>
>> I'm comfortable making the change to a capital MUST for this sentence
>> and adding the appropriate reference to RFC 2119 as necessary.  I'm
>> just not comfortable telling operators how to perform that action as
>> there are a number of options to do so, which was my point to David
>> (and he seemed to be ok with).  I will make the changes as necessary
>> to the abstract where this statement exists as well.
>>
>> As for BCP versus info, I leave that up to the chairs, but this does
>> not obsolete or otherwise change text in RFC 1930 outside of the IANA
>> considerations section (RFC 1930 is primarily about justification for
>> an ASN).  There is no "practice" being advocated by the draft to be
>> best or current, outside of the practice of not sending Private Use
>> ASNs to the Internet.
>>
>> Jon
>>
>> On Thu, Dec 20, 2012 at 04:56:27PM -0500, Susan Hares wrote:
>>> Randy and Nick:
>>>
>>> Please note that Randy is correct about the use of MUST language,
>>> and it is an appropriate editorial question for WG LC or the period
>>> between WG LC and IETF LC ending.
>>>
>>> For my clarification, why is the following text using "must" without
>>> the MUST language?
>>>
>>>     If Private Use ASNs are used and prefixes are originated from these
>>>     ASNs which are destined to the Internet, Private Use ASNs must be
>>>     removed from the AS_PATH before being advertised to the global
>>>     Internet.
>>>
>>> In my reading of this text, it is specifying the 2119 language.  In
>>> this case the text would be:
>>>
>>>     If Private Use ASNs are used and prefixes are originated from these
>>>     ASNs which are destined to the Internet, Private Use ASNs MUST be
>>>     removed from the AS_PATH before being advertised to the global
>>>     Internet.
>>>
>>> I look forward to the authors comment on this point.  Since this
>>> document is modifying a BCP (RFC1930), it is likely to be a BCP.
>>> Please
>> note I consider
>>> this an issue that the authors need to address this RFC2119 issue.
>> Please
>>> note this type of editorial review is normal during the post WG-LC
>>> when the chairs perform an editing review prior writing up a IESG
>> Shepherding report.
>>>
>>>
>>> I am not widening our restricted request for advice on the WG LC
>> agreement.
>>> We are still focus this week on the range.
>>>
>>> May you have Shalom in your Holidays,
>>>
>>> Sue
>>>
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On Behalf
>>> Of Randy Bush
>>> Sent: Thursday, December 20, 2012 12:04 PM
>>> To: Nick Hilliard
>>> Cc: [email-masked]
>>> Subject: Re: [Idr] WGLC on draft-ietf-idr-as-private-reservation-00
>>>
>>>> I don't think the IETF is too hot on the idea of "MUST" appearing
>>>> in non normative documents?
>>> normative is how a document is referred to by another document, and
>>> one can never know that.
>>>
>>> and, despite common rumor, one can have 2119 language in an info or bcp.
>>>
>>> rand
>>> _______________________________________________
>>> Idr mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/idr
> .
>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html